Bug 148535 - The status message for combined builder queues should say "all builds passed" if everything built correctly.
Summary: The status message for combined builder queues should say "all builds passed"...
Status: RESOLVED FIXED
Alias: None
Product: WebKit
Classification: Unclassified
Component: Tools / Tests (show other bugs)
Version: WebKit Nightly Build
Hardware: Unspecified Unspecified
: P2 Normal
Assignee: Nobody
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2015-08-27 11:40 PDT by Jason Marcell
Modified: 2016-02-04 12:01 PST (History)
8 users (show)

See Also:


Attachments
Patch (2.08 KB, patch)
2015-08-27 11:43 PDT, Jason Marcell
no flags Details | Formatted Diff | Diff
Patch (2.11 KB, patch)
2015-08-27 17:22 PDT, Jason Marcell
no flags Details | Formatted Diff | Diff
Patch (2.16 KB, patch)
2015-08-28 10:47 PDT, Jason Marcell
no flags Details | Formatted Diff | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description Jason Marcell 2015-08-27 11:40:51 PDT
The status message for combined builder queues should say "all builds passed" if everything built correctly.
Comment 1 Jason Marcell 2015-08-27 11:43:41 PDT
Created attachment 260073 [details]
Patch
Comment 2 David Kilzer (:ddkilzer) 2015-08-27 16:57:34 PDT
Comment on attachment 260073 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=260073&action=review

r=me if you fix the nit.

> Tools/BuildSlaveSupport/build.webkit.org-config/public_html/dashboard/Scripts/BuildbotCombinedQueueView.js:90
> +            var statusMessagePassed = "all " + (queue.builder ? "builds" : "tests") + " passed"

Nit: This should have a semi-colon at the end of the line.
Comment 3 Jason Marcell 2015-08-27 17:22:32 PDT
Created attachment 260099 [details]
Patch
Comment 4 David Kilzer (:ddkilzer) 2015-08-27 17:33:02 PDT
Comment on attachment 260099 [details]
Patch

r=me
Comment 5 Alexey Proskuryakov 2015-08-28 08:58:22 PDT
This should probably be "all builds succeeded", not "all builds passed".
Comment 6 Jason Marcell 2015-08-28 10:47:17 PDT
Created attachment 260163 [details]
Patch
Comment 7 WebKit Commit Bot 2015-08-28 11:13:55 PDT
Comment on attachment 260163 [details]
Patch

Clearing flags on attachment: 260163

Committed r189106: <http://trac.webkit.org/changeset/189106>
Comment 8 WebKit Commit Bot 2015-08-28 11:13:59 PDT
All reviewed patches have been landed.  Closing bug.